Class AppProcessorsImpl

java.lang.Object
com.eqixiac.equinix.fabric.beta.client.implementation.AppProcessorsImpl
All Implemented Interfaces:
AppProcessors

@Beta public class AppProcessorsImpl extends Object implements AppProcessors
Implementation of AppProcessors over the shared FabricBeta apiParams area.

Beta: Fabric v4 4.34.0 (spec read 2026-11-11).

Generated from the Fabric v4 OpenAPI spec by the fabric-beta generator; regenerate rather than hand-edit.

  • Constructor Details

    • AppProcessorsImpl

      public AppProcessorsImpl(BetaClientFactory clients)
      Creates the client.
      Parameters:
      clients - the shared internal client factory
  • Method Details

    • getByUuid

      public AppProcessor getByUuid(String appProcessorId)
      Description copied from interface: AppProcessors
      Get Processor: GET /fabric/v4/appProcessors/{appProcessorId} (operation getAppProcessorByUuid).

      This API provides capability to retrieve user's App Processor

      Specified by:
      getByUuid in interface AppProcessors
      Parameters:
      appProcessorId - the appProcessorId path parameter
      Returns:
      the AppProcessor the API returns
    • search

      Description copied from interface: AppProcessors
      Search Processors: POST /fabric/v4/appProcessors/search (operation searchAppProcessors).

      The API provides capability to get list of user's App Processors using search criteria, including optional filtering, pagination and sorting

      Filter properties named by the spec: /bandwidth, /changeLog/createdDateTime, /changeLog/deletedDateTime, /changeLog/updatedDateTime, /description, /ipv4Subnet, /name, /project/projectId, /state, /uuid.

      Sort properties named by the spec: /changeLog/createdDateTime, /changeLog/updatedDateTime, /name, /state, /uuid.

      Specified by:
      search in interface AppProcessors
      Parameters:
      filter - the filter (null for none)
      sort - the sort order (null for the service default)
      Returns:
      a lazily paged list of AppProcessor
    • search

      Description copied from interface: AppProcessors
      Search Processors: POST /fabric/v4/appProcessors/search (operation searchAppProcessors).

      The API provides capability to get list of user's App Processors using search criteria, including optional filtering, pagination and sorting

      Specified by:
      search in interface AppProcessors
      Parameters:
      filter - the filter (null for none)
      Returns:
      a lazily paged list of AppProcessor
    • search

      Description copied from interface: AppProcessors
      Search Processors: POST /fabric/v4/appProcessors/search (operation searchAppProcessors).

      The API provides capability to get list of user's App Processors using search criteria, including optional filtering, pagination and sorting

      Specified by:
      search in interface AppProcessors
      Returns:
      a lazily paged list of AppProcessor